#include "test_examples.h"
/*XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX*/
/*XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX*/
ddemProblemDescriber::ddemProblemDescriber()
{
	nVariables = -1; 
	nParameters = -1;

	nEventFuncs = 0;

	nHistorySegments = -1;

	fFuncs = NULL;

	historySegmentsType = DDEM_NOT_SPECIFIED;
	historySegmentsConstant = NULL;
	historySegmentsFunc = NULL;

	historyStartsType = DDEM_NOT_SPECIFIED;
	historyStartsConstant = NULL;
	historyStartsFunc = NULL;

	historyStartsDiscDegrees = NULL;


	t0Type = DDEM_NOT_SPECIFIED;
	t0Func = NULL ;

	t0DiscDegree = -1;

	y0sType = DDEM_NOT_SPECIFIED;
	y0sConstant = NULL;
	y0sFunc = NULL;

	nu = 0;
	omega = 0;
	delayArgumentsType = DDEM_NOT_SPECIFIED;
	delayArgumentsConstant = NULL;
	delayArgumentsFunc = NULL;
	stateDependent = DDEM_FALSE;
}
/*---------------------------------------------*/
ddemProblemDescriber::~ddemProblemDescriber()
{
	if(historySegmentsConstant != NULL){
			delete historySegmentsConstant;
			historySegmentsConstant = NULL;
	}
	if(historyStartsConstant != NULL){
			delete historyStartsConstant;
			historyStartsConstant = NULL;
	}
	if(historyStartsDiscDegrees != NULL){
			delete historyStartsDiscDegrees;
			historyStartsDiscDegrees = NULL;
	}
	if(y0sConstant != NULL){
			delete y0sConstant;
			y0sConstant = NULL;
	}
	if(delayArgumentsConstant != NULL){
			delete delayArgumentsConstant;
			delayArgumentsConstant = NULL;
	}
}
/*---------------------------------------------*/
ddemSimulationDescriber::ddemSimulationDescriber()
{
	parameters = NULL;

	tEnd = 0.0;

	relTolerance = -1.0;
	absTolerance = NULL;
	
	vanishingConst = -1.0;

	comm = NULL;
}
/*---------------------------------------------*/
ddemSimulationDescriber::~ddemSimulationDescriber()
{
	if(parameters != NULL){
			delete parameters;
			parameters = NULL;
	}
	if(absTolerance != NULL){
			delete absTolerance;
			absTolerance = NULL;
	}
}
