#include "test_examples.h"
#include "example_00.h"
/*XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX*/
#ifndef __DDEM_INDEX_TRANSLATOR_DEF

#define Z(I,J) z[(J)*m + (I)]
/* Z(I,J) corresponds to y_I(alpha_J) if  0<= J < nu */
/* Z(I,J) corresponds to y'_I(alpha_J) if nu <= J < nu + omega */

#define TJAC(I) userProvidedJac->tJac[(I)]
#define YJAC(I,J) userProvidedJac->yJac[(I)*m + (J)]
#define ZJAC(I,J,K) userProvidedJac->zJac[(I)*(m*(nu+omega)) + (K)*m+(J)]
/* par F_I / par Z(J,K) */
#define PJAC(I,J) userProvidedJac->pJac[(I)*l + (J)]

#define TTJAC(I) userProvidedJac->ttJac[(I)]
#define TPJAC(I,J) userProvidedJac->tpJac[(I)*l + (J)]

#endif // __DDEM_INDEX_TRANSLATOR_DEF
/*XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX*/
/*XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX*/
/*----------UNCOMMENT, RENAME, AND USE THE REQUIRED FUNCTIONS------------*/
/*XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX*/
/*XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX*/
/*
void	f_00(int state, double t, int m, double* y,
										  int nu, int omega, double* z,
											int l, double* p,
											double* f,
                      ddemUserProvidedJac* userProvidedJac,
											void* Comm)
{
	// fIndices = 0, 1, 2, ..., (nVariables - 1) 
	// yIndices = 0, 1, 2, ..., (nVariables - 1) 
	// alphaIndices = 0, 1, 2, ..., (nu + omega - 1) 
	// pIndices = 0, 1, 2, ..., (nParameters - 1) 
	//*******************************************
	// set f[fIndices]
  // f[0] = ;
	if(userProvidedJac->needed)
	{
		userProvidedJac->tIndependent = DDEM_TRUE;
		// or set TJAC(fIndices)
		// TJAC(0) = ;

		userProvidedJac->yIndependent = DDEM_TRUE;
		// or set YJAC(fIndices, yIndices)
		// YJAC(0,0) = ;

		// set ZJAC(fIndices, yIndices, alphaIndices)
		// ZJAC(0,0,0) = ;

		userProvidedJac->pIndependent = DDEM_TRUE;
		// or set PJAC(fIndices, pIndices)
		// PJAC(0,0) = ;
	}
}
*/
/*---------------------------------------------*/
/*
void historySegments_00(int historySegmentIndex,
											 double t,
                       int l, double* p,
                       int m, double* h,
                       ddemUserProvidedJac* userProvidedJac,
											 void* Comm)
{
	// hIndices = 0, 1, 2, ..., (nVariables - 1) 
	// pIndices = 0, 1, 2, ..., (nParameters - 1) 
	//*******************************************
	// set h[hIndices]
  // h[0] = ;
	if(userProvidedJac->needed)
	{
		userProvidedJac->tIndependent = DDEM_TRUE;
		// or set TJAC(hIndices)
		// TJAC(0) = ;

		userProvidedJac->pIndependent = DDEM_TRUE;
		// or set PJAC(hIndices, pIndices)
		// PJAC(0,0) = ;

		if(userProvidedJac->needed2nd)
		{
			userProvidedJac->ttIndependent = DDEM_TRUE;
			// or set TTJAC(hIndices)
			// TTJAC(0) = ;
			
			userProvidedJac->tpIndependent = DDEM_TRUE;
			// or set TPJAC(hIndices, pIndices)
			// TPJAC(0,0) = ;
		}
	}
}
*/
/*---------------------------------------------*/
/*
void delayArguments_00(double t, int m, double* y,
                                   int l, double* p,
                                   int nu, int omega, double* alpha,
                                   ddemUserProvidedJac* userProvidedJac,
																	 void* Comm)
{
	// alphaIndices = 0, 1, 2, ..., (nu + omega - 1) 
	// yIndices = 0, 1, 2, ..., (nVariables - 1) 
	// pIndices = 0, 1, 2, ..., (nParameters - 1) 
	//*******************************************
	// set alpha[alphaIndices]
  //alpha[0] = ;
	if(userProvidedJac->needed)
	{
		userProvidedJac->tIndependent = DDEM_TRUE;
		// or set TJAC(alphaIndices)
		// TJAC(0) = ;

		userProvidedJac->yIndependent = DDEM_TRUE;
		// or set YJAC(alphaIndices, yIndices)
		// YJAC(0,0) = ;

		userProvidedJac->pIndependent = DDEM_TRUE;
		// or set PJAC(alphaIndices, pIndices)
		// PJAC(0,0) = ;
	}
}
*/
/*---------------------------------------------*/
/*
void t0_00(int l, double* p,
                       double& tStart,
                       ddemUserProvidedJac* userProvidedJac,
											 void* Comm)
{
	// pIndices = 0, 1, 2, ..., (nParameters - 1) 
	//*******************************************
	// set tStart
	// tStart = ;
	if(userProvidedJac->needed)
	{
		userProvidedJac->pIndependent = DDEM_TRUE;
		// or set PJAC(0, pIndices)
		// PJAC(0,0) = ;
	}
}
*/
/*---------------------------------------------*/
/*
void y0s_00(int l, double* p,
                       int m, double* y0,
                       ddemUserProvidedJac* userProvidedJac,
											 void* Comm)
{
	// yIndices = 0, 1, 2, ..., (nVariables - 1) 
	// pIndices = 0, 1, 2, ..., (nParameters - 1) 
	//*******************************************
	// set y0[yIndices]
	// y0[0] = ;
	if(userProvidedJac->needed)
	{
		userProvidedJac->pIndependent = DDEM_TRUE;
		// or set PJAC(yIndices, pIndices)
		// PJAC(0,0) = ;
	}
}
*/
/*---------------------------------------------*/
/*
void get_problemDescriber_00(ddemProblemDescriber* pD)
{
	pD->nVariables = ; 
	pD->nParameters = ;
	pD->nHistorySegments = ;

	pD->fFuncs = ;// the name of the right hand side function

	pD->historySegmentsType = ; //{DDEM_SPECIFIED_BY_CONSTANT, DDEM_SPECIFIED_BY_FUNC}
	// pD->historySegmentsConstant = new double[pD->nVariables]; // uncomment and set, if history is constant 
	// pD->historySegmentsConstant[0] = ;
	// pD->historySegmentsConstant[1] = ;
	// ....
	// pD->historySegmentsFunc = ; // uncomment and set, if history is a function, to the name of that function

  //pD->historyStartsType = ;//{DDEM_SPECIFIED_BY_CONSTANT, DDEM_SPECIFIED_BY_FUNC} // uncomment if more than one segment
	//pD->historyStartsConstant = new double [pD->nHistorySegments - 1];// uncomment and set if having more than one ...
	// segment of history and the breaking points between different segments are defined by constants 
	//pD->historyStartsConstant[0] = ; 
	//pD->historyStartsConstant[1] = ; 
	// ...
  //pD->historyStartsFunc = ;//// uncomment and set if having more than one ...
	// segment of history and the breaking points between different segments are defined by a function 

	//pD->historyStartsDiscDegrees = new int[pD->nHistorySegments - 1];// uncomment and set if having more than one ...
	// segment of history to specify the degree of continuity between segments
	//pD->historyStartsDiscDegrees[0] = ;
	//pD->historyStartsDiscDegrees[1] = ;
	// ...
		

	pD->t0Type = ;//{DDEM_SPECIFIED_BY_CONSTANT, DDEM_SPECIFIED_BY_FUNC}
	//pD->t0Constant = ;// uncomment and use if the starting point is specified by a constant
	//pD->t0Func = ;// uncomment and use if the starting point is specified by a function

	//pD->t0DiscDegree = ;// the discontinuity degree at the starting time (usually 1) 

	pD->y0sType = ;//{DDEM_SPECIFIED_BY_HISTORY, DDEM_SPECIFIED_BY_CONSTANT, DDEM_SPECIFIED_BY_FUNC}
	//pD->y0sConstant = new double[pD->nVariables];// uncomment and set if the valye at the ... 
	// starting point is specified by a constant
	//pD->y0sConstant[0] = ;
	//pD->y0sConstant[1] = ;
	// ...
	// pD->y0sFunc = ;// uncomment and set if the valye at the ... 
	// starting point is specified by a function

	pD->nu = ;// number of delays in the solution 
	pD->omega = ;// number of delays in the derivative of the solution (=0 if RDDE) 
	pD->delayArgumentsType = ;//{DDEM_SPECIFIED_BY_CONSTANT, DDEM_SPECIFIED_BY_FUNC}
	//pD->delayArgumentsConstant = new double[pD->nu + pD->omega];// uncomment and set if all the delays are constants
	//pD->delayArgumentsConstant[0] = ;
	//pD->delayArgumentsConstant[1] = ;
	// ...
	//pD->delayArgumentsFunc = ;// uncomment and set if the delays are (non-constants) functions, this can be useful ...
	// even for constant delays when they are parameter dependent
	pD->stateDependent = ;//{DDEM_FALSE, DDEM_TRUE} specifies state-dependent problems (default = state-dependent)
}
*/
/*
void get_simulationDescriber_00(ddemProblemDescriber* pD,
										ddemSimulationDescriber* sD)
{
	// sD->parameters = new double[pD->nParameters]; // uncomment and set, if any parameters are used
	// sD->parameters[0] = ;
	// sD->parameters[1] = ;
	// ...

	sD->tEnd = ;

	sD->relTolerance = ;
	sD->absTolerance = new double[pD->nVariables];
	sD->absTolerance[0] = ;
	// sD->absTolerance[1] = ;
	// sD->absTolerance[2] = ;
	// ...

	// sD->comm = (void*); // Uncomment and set, if any communication is used
}
*/
