#ifndef __TEST_EXAMPLES
#define __TEST_EXAMPLES

#include "ddem_problem.h"
/*XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX*/
/*XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX*/
/*XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX*/
/*XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX*/
struct ddemProblemDescriber{
	  int nVariables; 
		int nParameters;
		
		int nEventFuncs;
		
		int nHistorySegments;

		ddemF fFuncs;

		int historySegmentsType;
		double* historySegmentsConstant;
		ddemHistorySegments historySegmentsFunc;

    int   historyStartsType;
		double* historyStartsConstant;
    ddemHisoryStarts historyStartsFunc;

		int* historyStartsDiscDegrees;
		

		int t0Type;
		double t0Constant;
		ddemT0 t0Func;

		int t0DiscDegree;

		int y0sType;
		double* y0sConstant;
		ddemY0 y0sFunc;

		int nu;
		int omega;
		int delayArgumentsType;
		double* delayArgumentsConstant;
		ddemDelayArguments delayArgumentsFunc;
		int stateDependent;

		ddemProblemDescriber();
		~ddemProblemDescriber();
};
/*XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX*/
struct ddemSimulationDescriber{
		double* parameters;

		double tEnd;

		double relTolerance;
		double* absTolerance;
		
		double vanishingConst;

		void* comm;

		ddemSimulationDescriber();
		~ddemSimulationDescriber();
};
/*XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX*/
/*XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX*/
/*XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX*/
/*XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX*/
#endif /*__TEST_EXAMPLES*/
