#ifndef __DDEM_MIN_ROOT
#define __DDEM_MIN_ROOT

typedef void (*ddemRootfcn) (double t, double* g, void* comm);

int ddemMinRoot(double t0, double t1,
								int ng,
								double* g0, double* g1,
								ddemRootfcn g,
								double errTol,
								double& t,
								double* gt,
								int* active,
								void* comm,
								int& nfcnCall);

//extern "C" {
//  extern /* Subroutine */ int roots_(int *ng, double *hmin, int *jflag, 
//	double *x0, double *x1, double *g0, double *g1, 
//	double *gx, double *x, int *jroot);
//}

#endif /*__DDEM_MIN_ROOT*/
